
QGIS Application - Bug report #16681

Categorized symbol levels show wrong on map

2017-06-07 03:47 PM - Sini Pöytäniemi

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:2.14.14 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24580

Description

I have tried to create rule-based symbols for a point vector data layer with two levels: e.g. larger colored circle + small black circle on top

of it. In the symbol list in the Layer Properties window, as well as in the Layers Panel the symbol will show as it should: black circle

surrounded by a fat colored circle. However, on the map it shows only the colored circle.

When testing, it appears, that the red circle is now actually overlaying the black circle. This becomes clear, if using e.g. a large cross

instead of a small black circle (see attachment).

Creating the same symbol with symbol layers in the basic single symbol or categorized mode, it works just fine.

History

#1 - 2017-06-07 03:52 PM - Giovanni Manghi

- Assignee deleted (Sini Pöytäniemi)

#2 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
